Yandex Cloud
Search
Discuss with expertTry it for free
  • Customer Stories
  • Documentation
  • Blog
  • All Services
    • Cloud Interconnect
    • Cloud Backup
    • Cloud Registry
    • Yandex AI Studio
    • Compute Cloud
    • Object Storage
    • Managed Service for Kubernetes®
    • Yandex BareMetal
    • Smart Web Security
    • Security Deck
    • Managed Service for PostgreSQL
    • Managed Service for ClickHouse®
    • Monium
    • Cloud CDN
    • Network Load Balancer
    • Virtual Private Cloud
    • Cloud DNS
    • Application Load Balancer
    • Yandex Cloud Video
    • Stackland
    • Yandex Cloud Router
    • Yandex Managed Service for Trino
    • Managed Service for MySQL®
    • Managed Service for Valkey™
    • Managed Service for Apache Spark™
    • Yandex StoreDoc
    • Managed Service for OpenSearch
    • Managed Service for Apache Kafka®
    • Data Transfer
    • Yandex MPP Analytics Engine for PostgreSQL
    • Yandex Managed Service for Apache Airflow®
    • Data Processing
    • Yandex MetaData Hub
    • Managed Service for YDB
    • Managed Service for Sharded PostgreSQL
    • Managed Service for YTsaurus
    • Yandex WebSQL
    • DataLens
    • Yandex Search API
    • SpeechSense
    • SpeechKit
    • DataSphere
    • Vision OCR
    • Translate
    • Yandex Identity Hub
    • Key Management Service
    • Certificate Manager
    • Yandex Lockbox
    • Audit Trails
    • SmartCaptcha
    • Cloud Desktop
    • Yandex SIEM
    • SourceCraft Code Assistant
    • Container Registry
    • Managed Service for GitLab
    • Managed Service for Prometheus®
    • Cloud Functions
    • API Gateway
    • Yandex Cloud Postbox
    • Message Queue
    • Serverless Integrations
    • IoT Core
    • Data Streams
    • Serverless Containers
    • Cloud Notification Service
    • Yandex Query
    • Identity and Access Management
    • Yandex Cloud Console
    • Resource Manager
    • Yandex Cloud Billing
    • Yandex Cloud Quota Manager
    • Cloud Apps
  • System Status
  • Marketplace
    • Featured
    • Infrastructure & Network
    • Data Platform
    • AI for business
    • Security
    • DevOps tools
    • Serverless
    • Monitoring & Resources
  • All Solutions
    • By industry
    • By use case
    • Economics and Pricing
    • Security
    • Technical Support
    • Start testing with double trial credits
    • Cloud credits to scale your IT product
    • Gateway to Russia
    • Cloud for Startups
    • Center for Technologies and Society
    • Yandex Cloud Partner program
    • Price calculator
    • Pricing plans
  • Customer Stories
  • Documentation
  • Blog
© 2026 Direct Cursus Technology L.L.C.
Yandex Cloud DNS
  • Getting started
  • Access management
  • Pricing policy
  • Terraform reference
    • API authentication
      • Overview
        • Overview
        • Get
        • List
        • Create
        • Update
        • Move
        • Delete
        • GetRecordSet
        • ListRecordSets
        • UpdateRecordSets
        • UpsertRecordSets
        • ListOperations
        • ListAccessBindings
        • SetAccessBindings
        • UpdateAccessBindings
        • UpdatePrivateNetworks
  • Monitoring metrics
  • Audit Trails events
  • Release notes
  • FAQ

In this article:

  • HTTP request
  • Path parameters
  • Query parameters
  • Response
  • RecordSet
  1. API reference
  2. REST
  3. DnsZone
  4. ListRecordSets

Cloud DNS API, REST: DnsZone.ListRecordSets

Written by
Yandex Cloud
Updated at July 1, 2026
View in Markdown
  • HTTP request
  • Path parameters
  • Query parameters
  • Response
  • RecordSet

Retrieves the list of record sets in the specified folder.

HTTP requestHTTP request

GET https://dns.api.cloud.yandex.net/dns/v1/zones/{dnsZoneId}:listRecordSets

Path parametersPath parameters

Field

Description

dnsZoneId

string

Required field. ID of the DNS zone to list record sets in.
To get a DNS zone ID, make a DnsZoneService.List request.

The maximum string length in characters is 255.

Query parametersQuery parameters

Field

Description

pageSize

string (int64)

The maximum number of results per page to return. If the number of available
results is larger than page_size, the service returns a ListDnsZoneRecordSetsResponse.nextPageToken
that can be used to get the next page of results in subsequent list requests.

The maximum value is 1000.

pageToken

string

Page token. To get the next page of results, set page_token to the
ListDnsZoneRecordSetsResponse.nextPageToken returned by a previous list request.

The maximum string length in characters is 1000.

filter

string

A filter expression that filters record sets listed in the response. The expression consists of one or more conditions united by AND operator: <condition1> [AND <condition2> [<...> AND <conditionN>]].
Each condition has the form <field> <operator> <value>, where:

  1. <field> is the field name. Currently you can use filtering only on the RecordSet.name and RecordSet.type fields.
  2. <operator> is a logical operator, one of =, !=, IN, NOT IN.
  3. <value> represents a value.
    3.1. In case of single value condition (= or !=), the value is a string in double (") or single (') quotes. C-style escape sequences are supported (\" turns to ", \' to ', \\ to backslash).
    3.2. In case of a list of values condition (IN or NOT IN), the value is (<string1>, <string2>, .., <stringN>), where <string> is a string in double (") or single (') quotes.
    Examples of a filter: name="my-record-set", type IN ("MX","A") AND name="works.on.my.machine.".

The maximum string length in characters is 1000.

ResponseResponse

HTTP Code: 200 - OK

{
  "recordSets": [
    {
      "name": "string",
      "type": "string",
      "ttl": "string",
      "data": [
        "string"
      ],
      "description": "string"
    }
  ],
  "nextPageToken": "string"
}

Field

Description

recordSets[]

RecordSet

List of record sets in the specified DNS zone.

nextPageToken

string

Token for getting the next page of the list. If the number of results is greater than
the specified ListDnsZoneRecordSetsRequest.pageSize, use next_page_token as the value
for the ListDnsZoneRecordSetsRequest.pageToken parameter in the next list request.
Each subsequent page will have its own next_page_token to continue paging through the results.

RecordSetRecordSet

A record set. For details about the concept, see Resource record.

Field

Description

name

string

Domain name.

The string length in characters must be 1-254.

type

string

Record type.

The string length in characters must be 1-20.

ttl

string (int64)

Time to live in seconds.

Acceptable values are 0 to 2147483647, inclusive.

data[]

string

Data of the record set.

The string length in characters for each value must be 1-1024. The number of elements must be in the range 1-100.

description

string

Description of the record set.

Was the article helpful?

Previous
GetRecordSet
Next
UpdateRecordSets
© 2026 Direct Cursus Technology L.L.C.